root无法删除某些文件的问题和解决方法lsattr-chattr命令

配置服务器的时候遇到几个站的php.ini不能修改也不能删除,郁闷了之余google了一下,原来是文件-i属性的事,印象中了解过这东西,关键时刻又想不起来。所以记录一下。

[root@javasboy root]# ls -l php.ini
-r--r--r-- 1 root root 0 Aug   5 23:00 php.ini
[root@javasboy root]# rm -rf php.ini
rm: cannot unlink `php.ini': Operation not permitted

您是全能root用户,居然系统告诉您操作不允许,是Linux疯了么?当然不是,如果您会用lsattr命令,问题就有了答案。

[root@javasboy root]# lsattr
---i---------- ./php.ini

秘密终于暴露了,在lsattr命令下,这个1.txt文件带有一个"i"的属性,所以才不可以删除。您现在可以用下边的一系列命令:

[root@javasboy root]# lsattr php.ini
---i---------- php.ini
[root@javasboy root]# chattr -i php.ini
[root@javasboy root]# rm -rf php.ini

成功了,这个属性专门用来保护重要的文件不被删除,通常的情况下,懂得用这几个命令的通常系统管理员有能力判断这个文件是否可以被删除。如果您想给一个文件多加点保护,可以使用下边的命令:
  

chattr +i filename

命令,这样一来,想要删除这个文件就要多一个步骤。同时,这样的文件也是不可以编辑和修改的。只有root用户才能使用chattr命令。此命令可以在Linux ext2或ext3系统上使用。

每天自动备份mysql脚本

定时执行脚本:
1、
执行

crontab -e
00 00 * * * /bin/bash yourpath/mysqlbak.sh

2、
打开自动执行文件

vi /etc/crontab

在etc中加入如下内容,让其自动执行任务。

00 00 * * * root /mysqlbak.sh

以上两个 00    00    *    *    *  为每天的凌晨自动执行脚本

分 时 日 月 周 命令

M: 分钟(0-59)。每分钟用*或者 */1表示
H:小时(0-23)。(0表示0点)
D:天(1-31)。
m: 月(1-12)。
d: 一星期内的天(0~6,0为星期天)。

每五分钟执行    */5 * * * *
每小时执行      0 * * * *
每天执行        0 0 * * *
每周执行        0 0 * * 0
每月执行        0 0 1 * *
每年执行        0 0 1 1 *

重启cron

/etc/rc.d/init.d/crond restart

or

service crond restart

详细请看crond的wiki
http://zh.wikipedia.org/wiki/Cron

mysqlback.sh

#!/bin/bash
#功能说明:本功能用于备份数据库
#编写日期:2010/12/06

PATH=/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin:/usr/local/mysql/bin
export PATH
#数据库用户名
dbuser='root'
#数据库密码
dbpasswd='123456'
#数据库名,可以定义多个数据库,中间以空格隔开,如:test test1 test2
dbname='test1 test2'
#备份时间
backtime=`date +%Y%m%d%H%M%S`
#日志备份路径
logpath='/second/backup'
#数据备份路径
datapath='/second/backup'
#日志记录头部
echo ‘"备份时间为${backtime},备份数据库表 ${dbname} 开始" >> ${logpath}/mysqllog.log
#正式备份数据库
for table in $dbname; do
source=`mysqldump -u ${dbuser} -p${dbpasswd} ${table}> ${logpath}/${backtime}.sql` 2>> ${logpath}/mysqllog.log;
#备份成功以下操作
if [ "$?" == 0 ];then
cd $datapath
#为节约硬盘空间,将数据库压缩
tar jcf ${table}${backtime}.tar.bz2 ${backtime}.sql > /dev/null
#删除原始文件,只留压缩后文件
rm -f ${datapath}/${backtime}.sql
echo "数据库表 ${dbname} 备份成功!!" >> ${logpath}/mysqllog.log
else
#备份失败则进行以下操作
echo "数据库表 ${dbname} 备份失败!!" >> ${logpath}/mysqllog.log
fi
done

这里有一篇介绍
MySQL数据库备份的10个教程

http://www.linuxde.net/2012/03/9379.html

ssh登录时间长的解决方法

ssh远程登录到VM虚拟机中登录时间太长,要等待很久才会出现输入密码的提示,今天终于有时间google了一下,纪录一下一般的解决方法:

1.使用了dns反查,这样的话当ssh某个IP时,系统会试图通过DNS反查相对应的域名,如果DNS中没有这个IP的域名解析,则会等到DNS查询超时才会进行下一步,消耗很长时间。修改方式:

vim /etc/ssh/sshd_config

# 增加一行记录:
UseDNS no

默认情况下会有一行被注释掉的记录#UseDNS yes,虽然这条记录被注释掉了,但ssh缺省情况下UseDNS的值是yes,所以要显式的指定该值为no。

2. 这种情况在本地主机或远程主机启动图形的情况下比较明显,该参数似乎是在做图形方面的认证,具体功能还不清楚,但修改以后可以明显提高ssh远程登录速度。

vim /etc/ssh/sshd_config

# 修改GSSAPIAuthentication参数为 no,默认是yes
GSSAPIAuthentication no

# 重新启动ssh服务
service sshd restart

ssh –vvv root@192.168.8.1

-vvv的参数可以查看ssh登录的过程,看看当前进行到了哪一步。

解决WIN7不能用路由器上网的方法

解决WIN7不能用路由器上网而XP能的方法win7路由器无法上网

解决方法:从XP系统里进入192.168.1.1路由器-LAN口设置-IP地址:改为:192.168.2.1然后重起路由。换回WIN7,顺利上网!
现象:系统任务栏右下角的网络连接图标带有一个黄色的感叹号。具体为——IPV4 无Internet访问权限,IPV6无网络访问权限。能从路由获取内网地址,也能获取IPV6地址;可以ping通内网IP地址,也可以Ping通路由网关。这些现象在XP下正常。
关键问题就在这里:Windows7睿智的发现了它——是个冒牌的交换机,而是更高级的路由!结果,我这台装了Windows 7的电脑毫不犹豫的选择了楼道小区宽带的路由器,无法上网的问题随之便发生了!
买一小米手机后就一直想买个无线路由器来。所以年前买了迅捷 FW300R无线路由和一个TP-Link TL-WN821N的无线网卡。
线路都正确连上后,在WIN7先是用网线连的就是进不去路由,然后我就换到XP系统,居然能进去,设置好上网帐号和密码,设置好无线密码,小米手机上无线很Happy啊。后来我也没太注意WIN7不能用路由有线上网,因为我用USB无线网卡能上,而且我一直以为网线有问题,所以我昨天特意自己从新做了一下网线的水晶头而且测试正常,拿回来后WIN7还是无法上网。但是在苹果系统和Linux系统和XP系统都能上,就是WIN7上不了。试过升级路由还是无效,所以在网上找了很多方法,最后还是这个方法有效果!

记录一下putty的pscp的用法

以前一直用SecureCRT汉化版,前段时间爆出的putty中文后门事件才开始关注putty和使用,只有一个文件太Happy了,不过没有SecureCRT这么多功能。不过我喜欢简单。但是用SSH还不知道怎么传文件上去,所以用了一下pscp还不错哦。
记录一下putty的pscp的用法,不然老忘记。哎,多用几次就能记住了吧!

pscp用法

scp命令例如:pscp c:\testtest.tar root@192.168.153.193:/home/guowei/ 回车后输入密码就可以了。

上传

PSCP.EXE -p -r -v -pw xxxxxxx e:\soft\mysql.sh root@192.168.153.193:/root/tmp/test/

下载

PSCP.EXE -pw xxxxxxx root@192.168.153.193:/root/tmp/test/mysql.sh c:\soft\temp\

具体用法:

PSCP和SCP功能相同,在windows下使用,只有一个文件,建议将pscp.exe放到C:\WINDOWS\system32下面,这样就可以在任何地方调用了。语法与scp相同,下面是几个有用的options。
-p 拷贝文件的时候保留源文件建立的时间。
-q 执行文件拷贝时,不显示任何提示消息。
-r 拷贝整个目录
-v 拷贝文件时,显示提示信息。
Usage:
pscp [options] [user@]host:source target
pscp [options] source

[/source]

[user@]host
pscp [options] -ls user@host:filespec

用法:
pscp [选项] [用户名@]主机:源文件 目标文件
pscp [选项] 源文件 [源文件……] [用户名@]主机
pscp [选项] -ls 用户名@主机:文件空间?
Options:
选项:
-p preserve file attributes 保护文件属性
-q quiet, don’t show statistics 安静,不显示统计
-r copy directories recursively 复制子文件夹
-V print version information and exit 显示信息
-v show verbose messages
-load sessname Load settings from saved session
-load 加载,加载保存节的设定
-P port connect to specified port
-P 端口,连接到指定空间端口
-l user connect with specified username
-l 用户,用指定的用户连接空间
-pw passw login with specified password
-pw 密码,用指定的密码登录空间
-1/-2 强迫 ssh 使用的版本
-4 -6 force use of IPv4 or IPv6
-C 打开压缩
-i key 钥匙,证明用的钥匙文件
-batch 关闭交互能力,也许
-unsafe 不安全,允许伺服端取代字符 (危险的)

————————————————————————————————————————————
Linux SSH远程文件/目录传输命令scp

scp -P 2222 root@www.vpser.net:/root/lnmp0.4.tar.gz /home/lnmp0.4.tar.gz

上端口大写P 为参数,2222 表示更改SSH端口后的端口,如果没有更改SSH端口可以不用添加该参数。 root@www.vpser.net 表示使用root用户登录远程服务器www.vpser.net,:/root/lnmp0.4.tar.gz 表示远程服务器上的文件,最后面的/home/lnmp0.4.tar.gz表示保存在本地上的路径和文件名。

2、获取远程服务器上的目录

scp -P 2222 -r root@www.vpser.net:/root/lnmp0.4/ /home/lnmp0.4/

上端口大写P 为参数,2222 表示更改SSH端口后的端口,如果没有更改SSH端口可以不用添加该参数。-r 参数表示递归复制(即复制该目录下面的文件和目录);root@www.vpser.net 表示使用root用户登录远程服务器www.vpser.net,:/root/lnmp0.4/ 表示远程服务器上的目录,最后面的/home/lnmp0.4/表示保存在本地上的路径。

3、将本地文件上传到服务器上

scp -P 2222 /home/lnmp0.4.tar.gz root@www.vpser.net:/root/lnmp0.4.tar.gz

上端口大写P 为参数,2222 表示更改SSH端口后的端口,如果没有更改SSH端口可以不用添加该参数。 /home/lnmp0.4.tar.gz表示本地上准备上传文件的路径和文件名。root@www.vpser.net 表示使用root用户登录远程服务器www.vpser.net,:/root/lnmp0.4.tar.gz 表示保存在远程服务器上目录和文件名。

4、将本地目录上传到服务器上

scp -P 2222 -r /home/lnmp0.4/ root@www.vpser.net:/root/lnmp0.4/

上 端口大写P 为参数,2222 表示更改SSH端口后的端口,如果没有更改SSH端口可以不用添加该参数。-r 参数表示递归复制(即复制该目录下面的文件和目录);/home/lnmp0.4/表示准备要上传的目录,root@www.vpser.net 表示使用root用户登录远程服务器www.vpser.net,:/root/lnmp0.4/ 表示保存在远程服务器上的目录位置。

5、可能有用的几个参数 :

-v 和大多数 linux 命令中的 -v 意思一样 , 用来显示进度 . 可以用来查看连接 , 认证 , 或是配置错误 .

-C 使能压缩选项 .

-4 强行使用 IPV4 地址 .

-6 强行使用 IPV6 地址 .

 
SCP 续传

使用scp不能出错,一旦中断就只能重新开始,但可以利用rsync进行断点续传。

可以在~/.bashrc中加入一个alias:

alias rscp='rsync -v -P -e ssh'

然后source一下,让它启用。

$source ~/.bashrc

Nginx无缝升级

网站升级,如何升级 nginx 最新稳定版本?并且不停网站升级 nginx?

纪录一下从 nginx1.0.11 升级到 1.0.12,刚才在 VM 里测试升级到了 1.0.12 最新稳定版本。

具体做法如下:
一、首先查看当前版本:并下载目前最新 nginx 稳定版本:

[root@localhost ~]# nginx -v
nginx: nginx version: nginx/1.0.11

二、下载完毕开始解压编译:

编译环境:

yum install gcc openssl-devel pcre-devel zlib-devel

备份原来的 nginx 网站:

cp /usr/share/nginx /www/bakcup/nginx -r

即,备份目录可以自己指定。

tar zxvf nginx-1.0.12.tar.gz
cd nginx-1.0.12
./configure --prefix=/usr/share --sbin-path=/usr/sbin/nginx --conf-path=/etc/nginx/nginx.conf --error-log-path=/var/log/nginx/error.log --pid-path=/var/run/nginx.pid --lock-path=/var/lock/nginx.lock --user=nginx --group=nginx --with-http_ssl_module --with-http_flv_module --with-http_gzip_static_module --with-http_stub_status_module
make

千万不要 make install

三、编译完后,我们开始操作升级。

mv /usr/sbin/nginx /usr/sbin/nginx0214
cp ./objs/nginx /usr/sbin/nginx
[root@localhost ~]# nginx -V
nginx: nginx version: nginx/1.0.12

重新加载 nginx

/usr/sbin/nginx -s reload

大功告成!!!

Nginx和PHP-FPM的启动/重启脚本

Nginx
这段时间在捣鼓服务器,Nginx和PHP都是源码编译安装的,每次都得打上长长的路径才能启动,或者在/etc/rc.local里写,启动的时候又看不到确定提示,所以不支持类似以前的nginx (start|restart|stop|reload)了。所以在网上找了这个脚本并且测试正常,在这里记录一下。博客有2个月没更新了,这算是2012年第一篇吧,哈哈,情人节快乐

一、Nginx启动脚本/etc/init.d/nginx

#!/bin/bash
#
#Startup script for Nginx - this script starts and stops the nginx daemon
#
# chkconfig:   - 85 15
# description:  Nginx is an HTTP(S) server, HTTP(S) reverse proxy and IMAP/POP3 proxy server
# processname: nginx
# config:      /usr/local/nginx/conf/nginx.conf
# pidfile:     /usr/local/nginx/logs/nginx.pid

# Source function library.
. /etc/rc.d/init.d/functions

# Source networking configuration.
. /etc/sysconfig/network

# Check that networking is up.
[ "$NETWORKING" = "no" ] && exit 0

nginx="/usr/local/nginx/sbin/nginx"
prog=$(basename $nginx)

NGINX_CONF_FILE="/usr/local/nginx/conf/nginx.conf"

[ -f /etc/sysconfig/nginx ] && . /etc/sysconfig/nginx

lockfile=/var/lock/subsys/nginx

start() {
    [ -x $nginx ] || exit 5
    [ -f $NGINX_CONF_FILE ] || exit 6
    echo -n $"Starting $prog: "
    daemon $nginx -c $NGINX_CONF_FILE
    retval=$?
    echo
    [ $retval -eq 0 ] && touch $lockfile
    return $retval
}

stop() {
    echo -n $"Stopping $prog: "
    killproc $prog -QUIT
    retval=$?
    echo
    [ $retval -eq 0 ] && rm -f $lockfile
    return $retval
}

restart() {
    configtest || return $?
    stop
    sleep 1
    start
}

reload() {
    configtest || return $?
    echo -n $"Reloading $prog: "
    killproc $nginx -HUP
    RETVAL=$?
    echo
}

force_reload() {
    restart
}

configtest() {
  $nginx -t -c $NGINX_CONF_FILE
}

rh_status() {
    status $prog
}

rh_status_q() {
    rh_status >/dev/null 2>&1
}

case "$1" in
    start)
        rh_status_q && exit 0
        $1
        ;;
    stop)
        rh_status_q || exit 0
        $1
        ;;
    restart|configtest)
        $1
        ;;
    reload)
        rh_status_q || exit 7
        $1
        ;;
    force-reload)
        force_reload
        ;;
    status)
        rh_status
        ;;
    condrestart|try-restart)
        rh_status_q || exit 0
            ;;
    *)
        echo $"Usage: $0 {start|stop|status|restart|condrestart|try-restart|reload|force-reload|configtest}"
        exit 2
esac

编辑好后保存,执行以下命令

chmod +x /etc/init.d/nginx

现在把Nginx加入chkconfig,并设置开机启动。

chkconfig --add nginx
chkconfig nginx on

# 检查一下

chkconfig --list nginx

nginx 0:off 1:off 2:on 3:on 4:on 5:on 6:off

启动、停止、查看状态的命令如下:

service nginx start
service nginx stop
service nginx restart
service nginx reload

/etc/init.d/nginx start
/etc/init.d/nginx stop
/etc/init.d/nginx restart
/etc/init.d/nginx reload

systemctl 脚本

cat /lib/systemd/system/nginx.service
[Unit]
Description=The NGINX HTTP and reverse proxy server
After=syslog.target network.target remote-fs.target nss-lookup.target

[Service]
Type=forking
PIDFile=/run/nginx.pid
ExecStartPre=/data/app/nginx/sbin/nginx -t -c /data/app/nginx/conf/nginx.conf
ExecStart=/data/app/nginx/sbin/nginx -c /data/app/nginx/conf/nginx.conf
ExecReload=/data/app/nginx/sbin/nginx -s reload
ExecStop=/bin/kill -s QUIT $MAINPID
PrivateTmp=true


[Install]
WantedBy=multi-user.target



systemctl enable nginx.service


现在可以使用下面的指令来控制nginx啦
systemctl start nginx.service
systemctl reload nginx.service
systemctl restart nginx.service
systemctl stop nginx.service

#日志
$ journalctl -f -u nginx.service

#下面这几个路径是你的nginx安装的目录,务必不要弄错。 
PIDFile=/run/nginx.pid
ExecStartPre=/usr/sbin/nginx -t -c /etc/nginx/nginx.conf
ExecStart=/usr/sbin/nginx -c /etc/nginx/nginx.conf

二、PHP-FPM启动脚本/etc/init.d/php-fpm

从PHP 5.3.3开始就已经集成了PHP-FPM所以php-fpm在PHP 5.3.2以后的版本不支持以前的php-fpm (start|restart|stop|reload) 了,不用专门再打补丁了,只需要解开源码直接configure,关于php-fpm的编译参数有

--enable-fpm --with-fpm-user=www --with-fpm-group=www --with-libevent-dir=libevent位置

进入到php源代码目录下,然后:

cp -f (php -5.3.x-source-dir)/sapi/fpm/init.d.php-fpm /etc/init.d/php-fpm

继续阅读“Nginx和PHP-FPM的启动/重启脚本”

第一次成功安装Archlinux Gnome3

记得大学时第一次装Ubuntu,还申请了光盘,一个月后意外的收到了光盘,非常鸡动,而现在亦非常鸡动,因为把Archlinux装上了。整整装了一天一夜,在群里问达人解决问题,重装过3次。最后又在XP系统里装VM,也遇到同样的问题。

经过群里前辈们的指点,一个一个试着找方法,最后终于知道为什么发出现这个问题了。
问题就是装了gnome3、gdm也设置好了 就是进不去桌面。如下图:

Archlinux GDM Error
Archlinux GDM Error

#pacman -S gdm

#usr/share/glib-2.0/schemas/org.gnome.login-screen.gschema.xml: Error on line 5 char 1: invalid name ‘enable-fingerprint-authentication’: maximum length is 32. This entire file has been ignored.

#/etc/rc.d/gdm start

#/usr/sbin/gdm-binary: symbol lookup error:/usr/sbin/gdm-binary:undefined symbol:g_cclosure_marshal_generic

问题在于
1、我设置了过多的源,把Chinalist里的源全打开了,只要用163的源就OK了,虽然慢一些,但纯。
2、删除gnome 和gdm pacman -Rscn gdm gnome
还有提示有问题的那个文件 rm /etc/profile.d/locale.sh
3、清空下载目录缓存 pacman -Scc
4、更新系统 pacman -Syy
pacman -Syu
5、重新安装 pacman -S gnome gdm

Archlinux gnome 3
Archlinux gnome 3

 

RedHat5_64最简单的安装Flash方法

之前在网上找的那些手动复制那个Flash文件到那个Flash-plagin文件夹的方法怎么设置都不管用。

先安装安装rpmforge-release,把这个复制在GOOGLE里然后找到你对应系统版本的那个最新版本的下载下来安装。安装好后就可以使用yum命令来安装一些常用软件了。

yum install flash-plugin(firefox的flash插件)
yum install fuse-ntfs-3g(能访问微软系统nfts磁盘)
yum install rar(读写rar压缩文件)
yum install vlc (强大的播放器)

这次我装了redhat 5.3 换好Centos 5的yum源后再装上了上面这个RPMFORGE,运行yum install flash-plugin 提示少依赖关系。
——————————————————————————

–> Missing Dependency: libkdeui.so.5()(64bit) is needed by package flash-plugin-11.0.1.60-0.1.el5.rf.x86_64 (rpmforge)
flash-plugin-11.0.1.60-0.1.el5.rf.x86_64 from rpmforge has depsolving problems
–> Missing Dependency: libkutils.so.4()(64bit) is needed by package flash-plugin-11.0.1.60-0.1.el5.rf.x86_64 (rpmforge)
flash-plugin-11.0.1.60-0.1.el5.rf.x86_64 from rpmforge has depsolving problems
–> Missing Dependency: libkdecore.so.5()(64bit) is needed by package flash-plugin-11.0.1.60-0.1.el5.rf.x86_64 (rpmforge)
Error: Missing Dependency: libkdeui.so.5()(64bit) is needed by package flash-plugin-11.0.1.60-0.1.el5.rf.x86_64 (rpmforge)
Error: Missing Dependency: libkdecore.so.5()(64bit) is needed by package flash-plugin-11.0.1.60-0.1.el5.rf.x86_64 (rpmforge)
Error: Missing Dependency: libkutils.so.4()(64bit) is needed by package flash-plugin-11.0.1.60-0.1.el5.rf.x86_64 (rpmforge)
You could try using –skip-broken to work around the problem
You could try running: package-cleanup –problems
package-cleanup –dupes
rpm -Va –nofiles –nodigest
———————————————————————————-
我刚才的解决方法是:在软件包管理者那里搜索flash,会有几个版本,我选择了flash-plugin-10.3.162.29这个点应用就可以正常安装了,我觉得是11新版的flash弄好。如图:

install_remove_Package
install_remove_Package
flash-plugin-10.3.162.29
flash-plugin-10.3.162.29

Autodesk Custom Red Hat Enterprise Linux Client 5.3 x86_64 DVD

Autodesk IFFFS
Autodesk IFFFS

Autodesk 定制版 Red Hat Enterprise Linux Client 5.3 x86_64 DVD
md5sum:    b52c704b5b81b494c360311ab88a284b adsk-rhel-client-5.3-x86_64-dvd.iso   4.15G

我在VM虚拟机里安装了一下,发现精简了中文字体,中文显示为方框。即使我安装了大部分常用中文字体还是一样。还有YUM命令不好用,而且我在换成CENTOS时也不是很方便。音频解码器的安装也太麻烦,我一个一个包下载用rpm -ivh安装,有些少依赖又很难找。所以不是我不想好好弄这个系统,是这个定制系统不合适咱们中文用户使用。我下了个centos 6.0准备装上去然后学NUKE。

建议大家还是别下这个定制系统了,不过连接我还是留着,供需要的同学下载,毕竟我用了一个星期下载,然后上传到115网盘。

注意:这个系统盘为无人值守安装,会自动格式化插在sata1盘位的硬盘,安装的时候请拔除sata1以为的其他硬盘.
——————–7月30号更新———-
其实不会,我是在VM里选了自动安装才会自动格式化的,选手动安装就好了,而且选了中文语言后就支持中文,也有中文字体。我现在又装回5.3这个版本了,换成了Cent OS 5的yum源,能正常播放常见视频格式了,但就是Flash还没搞定,按照我上一篇的日志来装老是提示少几个东西,在网上找了很久也没有结果。
—————————————–

此光盘是 Autodesk 定制版 RHEL 5.3 x86_64 DVD.
如果你的硬件符合 Autodesk IFFFS 要求,那么你可以使用此光盘进行安装.
如果你没有 光纤\AJA 等设备,那么我建议你不要使用此 DVD.
‘root’ 账户的默认密码为 ‘password’. 这个你手动安装时可以设置自己的root密码

by timebox

————————————————————————————————-

Autodesk Custom Red Hat Enterprise Linux Client 5.3 x86_64 DVD

md5sum: b52c704b5b81b494c360311ab88a284b adsk-rhel-client-5.3-x86_64-dvd.iso

The ISO is Autodesk Custom RHEL 5.3 x86_64 DVD.
You may need this, if you need to install Autodesk Flame (or any of the IFFFS systems) on a new machine with original Flame hardware.
If you are installing on any other machine, without fibrechannel and AJA audio and stuff, I suggest you don’t use this DVD.
The ‘root’ default password is ‘password’.

by timebox

————————————————————————————————-

继续阅读“Autodesk Custom Red Hat Enterprise Linux Client 5.3 x86_64 DVD”

纪念rehl6.0,迎接ubuntu11.04

redhat

在这里纪念一下这个系统,我一会就要把你格式化掉了,不是你不好,是我笨,连个访问苹果分区都解决不了。

装你,就算是满足一下我多年想装你的欲望吧。
与你接触的这段时间,我把调教的能放各种视频和音乐,把你的嗓门调高了。把瘟都死向你撑开了心扉,能把片片存倒NTFS分区了。
其实上面说的都不是原因,要怪就怪明天Ubuntu 11.04发布正式版了,我就可以把她娶进门了。她可以对我白依白顺,我想玩的花样你都能满足我。
ubuntu11.04

装上了红帽桌面企业版6.0

昨天晚上一回家就拿出上个星期刻好的盘,一共3张盘,其它装他只要BOOT那张光盘就可以了,那张DVD镜像可以放在硬盘里,再加上我的光驱老化读DVD很吃力了。所以就把rhel-workstation-6.0-x86_64-dvd.iso里面的images文件夹提取出来放在与DVD同一个目录,开机,启动BOOT那张光盘,等10几分钟就开始进放到选择与设置了,先是选择DVD镜像所在的分区,也就是找到你放DVD的目录,为方便我就放在了F盘根目录下。其它的不说了,到了分区那一步,我是按照红帽官网上的设置的,又回为我只有25G左右的空间,所以分区大概如下:

​​​​​​​​​​​​​​ 大​​​​​​​小​​​​​​​和​​​​​​​类​​​​​​​型​​​​​​​
/boot 250MB ext3 分​​​​​​​区​​​​​​​
swap 4GB swap
LVM 物​​​​​​​理​​​​​​​卷​​​​​​​ 剩​​​​​​​余​​​​​​​空​​​​​​​间​​​​​​​,作​​​​​​​为​​​​​​​一​​​​​​​个​​​​​​​ LVM 卷​​​​​​​组​​​​​​​

将​​​​​​​物​​​​​​​理​​​​​​​卷​​​​​​​分​​​​​​​配​​​​​​​到​​​​​​​默​​​​​​​认​​​​​​​ 的​​​​​​​卷​​​​​​​组​​​​​​​中​​​​​​​并​​​​​​​被​​​​​​​分​​​​​​​为​​​​​​​以​​​​​​​ 下​​​​​​​逻​​​​​​​辑​​​​​​​卷​​​​​​​:

​​​​​​​​​​​​​​ ​​​​​​​​​​​​​​​​​​​​​​​​​​​​​​​​​​​
/ 10GB ext4
/var 4GB ext4
/home 8GB ext4

加密了/home分区,这个我以前没设置过密码,这次只是试试吧。

引导是设置那里我设置的是/boot为引导,如果默认的我的苹果分区会进不去。这个结论是我重装了三次红帽得出来的。

现在的问题是好多音频,视频都木有解码器,这个我知道所以在找解决方法,希望怎么样配个本地YUM来解决吧。

上几张图:

继续阅读“装上了红帽桌面企业版6.0”